Page MenuHomePhabricator

CPB: user name is incorrectly aligned in RTL wikis in Firefox
Closed, ResolvedPublic

Description

a screenshot with the problem

In LTR wikis the username is left-aligned and appears next to the user icon.

Based on this logic, in RTL wikis the username should be right-aligned. This is what happens in Chrome, but in Firefox it's left-aligned, and away from the user icon.

I suspect that this is a Firefox bug, but it needs further investigation.

See the screenshot; Firefox is on the top.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz65476

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:22 AM
bzimport set Reference to bz65476.
Amire80 created this task.May 19 2014, 9:58 AM

I am inviting some non-MediaWiki people to test this, so here are more detailed instructions to reproduce:

  1. Log in to the Hebrew Wikipedia.
  2. Click the Beta link in the top bar near the username (or go to https://he.wikipedia.org/wiki/Special:Preferences#mw-prefsection-betafeatures ).
  3. Check "סרגל אישי מוקטן".
  4. Scroll down and save the preferences.
  5. Examine the little box with the username in the top left corner.

I didn't investigate this too deeply myself, but a standards expert told me that the likely cause is the following Firefox bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=645642

I'm going to add a CSS workaround.

Change 134076 had a related patch set uploaded by Amire80:
Set explicit text-align on pt-flyout

https://gerrit.wikimedia.org/r/134076

Change 134076 merged by jenkins-bot:
Set explicit text-align on pt-flyout

https://gerrit.wikimedia.org/r/134076

tomasz added a comment.Aug 5 2014, 8:23 PM

Patch was merged, so assuming bug is fixed.

Please re-open if that's not the case.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM